graphics/kplotting - The NetBSD Packages Collection

Lightweight plotting framework

KPlotWidget is a QWidget-derived class that provides a virtual base class
for easy data-plotting. The idea behind KPlotWidget is that you only have
to specify information in "data units"; i.e., the natural units of the
data being plotted.  KPlotWidget automatically converts everything
to screen pixel units.

KPlotWidget draws X and Y axes with tick marks and tick labels.  It
automatically determines how many tick marks to use and where they should
be, based on the data limits specified for the plot.  You change the limits
by calling `setLimits(double x1, double x2, double y1, double y2)`.

Data to be plotted are stored using the KPlotObject class.  KPlotObject
consists of a QList of QPointF's, each specifying the X,Y coordinates
of a data point.  KPlotObject also specifies the "type" of data to be
plotted (POINTS or CURVE or POLYGON or LABEL).

Build dependencies

devel/extra-cmake-modules devel/extra-cmake-modules pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/cmake devel/cmake

Runtime dependencies

x11/qt5-qtbase x11/qt5-qttools x11/qt5-qtbase x11/qt5-qttools

Binary packages

OSArchitectureVersion
NetBSD 8.0i386kplotting-5.70.0nb2.tgz
NetBSD 8.0powerpckplotting-5.70.0nb2.tgz
NetBSD 8.0x86_64kplotting-5.70.0nb5.tgz
NetBSD 8.0x86_64kplotting-5.70.0nb2.tgz
NetBSD 8.0x86_64kplotting-5.70.0nb3.tgz
NetBSD 9.0aarch64kplotting-5.70.0nb5.tgz
NetBSD 9.0aarch64kplotting-5.70.0nb2.tgz
NetBSD 9.0aarch64kplotting-5.70.0nb3.tgz
NetBSD 9.0earmv7hfkplotting-5.70.0nb2.tgz
NetBSD 9.0i386kplotting-5.70.0nb2.tgz
NetBSD 9.0i386kplotting-5.70.0nb3.tgz
NetBSD 9.0i386kplotting-5.70.0nb5.tgz
NetBSD 9.0powerpckplotting-5.70.0nb3.tgz
NetBSD 9.0sparc64kplotting-5.70.0nb5.tgz
NetBSD 9.0sparc64kplotting-5.70.0.tgz
NetBSD 9.0sparc64kplotting-5.70.0nb2.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb3.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb4.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb4.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb5.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb2.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb3.tgz
NetBSD 9.0x86_64kplotting-5.70.0nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.